Skip to content
Start here

Change Regional Tiered Cache setting

client.cache.regionalTieredCache.edit(RegionalTieredCacheEditParams { zone_id, value } params, RequestOptionsoptions?): RegionalTieredCacheEditResponse { id, editable, value, modified_on }
PATCH/zones/{zone_id}/cache/regional_tiered_cache

Instructs Cloudflare to check a regional hub data center on the way to your upper tier. This can help improve performance for smart and custom tiered cache topologies.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Write
ParametersExpand Collapse
params: RegionalTieredCacheEditParams { zone_id, value }
zone_id: string

Path param: Identifier.

maxLength32
value: "on" | "off"

Body param: Value of the Regional Tiered Cache zone setting.

One of the following:
"on"
"off"
ReturnsExpand Collapse
RegionalTieredCacheEditResponse { id, editable, value, modified_on }

The identifier of the caching setting.

editable: boolean

Whether the setting is editable.

value: "on" | "off"

Value of the Regional Tiered Cache zone setting.

One of the following:
"on"
"off"
modified_on?: string | null

Last time this setting was modified.

formatdate-time

Change Regional Tiered Cache setting

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.cache.regionalTieredCache.edit({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  value: 'on',
});

console.log(response.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "tc_regional",
    "editable": true,
    "value": "on",
    "modified_on": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "tc_regional",
    "editable": true,
    "value": "on",
    "modified_on": "2014-01-01T05:20:00.12345Z"
  }
}